package it.gulch.ld2012.network1;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity
{
	private Button loadTweets;

	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		loadTweets = (Button) findViewById(R.id.loadTweets);
		loadTweets.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v)
			{
				// Istanzio la classe DownloadTask (fa parte del progetto)
				DownloadTask downloadTask = new DownloadTask(MainActivity.this);
				// la mando in esecuzione
				downloadTask.execute();
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}
}
